<?php

class PageSetup extends Page
{
	function Show()
	{
		return('');
	}
}

class PageSetupRedirect extends Page
{
	function Show()
	{
		return('Systém není nainstalován. Pokračujte <a href="'.$this->System->Link('/setup/').'">zde</a>');
	}
}

class ModuleSetup extends AppModule
{
  function __construct($System)
  {
    parent::__construct($System);
    $this->Name = 'Setup';
    $this->Version = '1.0';
    $this->Creator = 'Chronos';
    $this->License = 'GNU/GPL';
    $this->Description = 'Basic setup and application installation';
    $this->Dependencies = array();
  }
  
  function Start()
  {
    parent::Start();
    $this->System->RegisterPage('', 'PageSetupRedirect');
    $this->System->RegisterPage('setup', 'PageSetup');    
  }  
}
